Subject: impossible to use weak hash tables inside gc hooks

From: Stefan Israelsson Tampe <[email-masked]>
Date: Fri, 14 Oct 2016 20:54:56 +0200

For more advanced gc concepts it would be nice to keep a set a objects in a
weak key hash table and at gc loop over the alive ones the various gc hooks
that is available for the c coder.

The problem is that current guile data structure would hang on folding
because inside the guile weak folder gc is assumed to be prevented. Not
sure what to do here. This might be a feature request or a bug report
dependning on how you view it.

Regards